org.eclipse.ease.debugging.events.debugger

## Class ThreadTerminatedEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.debugger.ThreadTerminatedEvent

All Implemented Interfaces:
  IDebuggerEvent, IDebugEvent

    public class ThreadTerminatedEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`ThreadTerminatedEvent()`
`ThreadTerminatedEvent(java.lang.Object thread)`

### Method Summary

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ThreadTerminatedEvent

    public ThreadTerminatedEvent()

#### ThreadTerminatedEvent

    public ThreadTerminatedEvent(java.lang.Object thread)